summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorC.J. Collier <cjcollier@linuxfoundation.org>2016-05-17 12:03:02 -0700
committerC.J. Collier <cjcollier@linuxfoundation.org>2016-05-20 00:44:54 +0000
commit2aa973ce201fdeb5d385708ae243ab14d3bcefb7 (patch)
tree469321109e1b0b1635f915576279715f5b7a7685 /scripts
parentaf6a29cc42a369863f324e675cbaf1cb9aaa32da (diff)
Document the process of re-spinning an image
* Document the process of respinning jcloud images in README.txt * Create /scripts/respin-jcloud-images.sh * Create /vagrant/lib/respin-functions.sh * Automate the process of fetching latest base images * Automate the process of creating new "LF upload" snapshots * Automate process of creating jcloud image - Boot fresh VM - run bootstrap.sh - run system_reseal.sh - snapshot re-sealed system * Unable to automate updating jcloud image regex for staging nodes * Correct shasum to sha1sum * Add cloud-initramfs-* to PACKAGES list * Install cloud-init during system reseal Change-Id: Ie70d5f1fdee0e9f06810da6f37bfc710e3e06b8e Signed-off-by: C.J. Collier <cjcollier@linuxfoundation.org>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/respin-jcloud-images.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/scripts/respin-jcloud-images.sh b/scripts/respin-jcloud-images.sh
new file mode 100755
index 00000000..3d119584
--- /dev/null
+++ b/scripts/respin-jcloud-images.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+set -e
+
+# Copyright 2016 The Linux Foundation <cjcollier@linuxfoundation.org>
+source ../vagrant/lib/respin-functions.sh
+
+source ${PVE_PATH}/bin/activate
+
+# Acquire bootstrap images
+#download_deb_image 'Ubuntu' '14.04' 'amd64'
+#download_deb_image 'Ubuntu' '16.04' 'amd64'
+#download_rh_image 'CentOS' '7' 'x86_64'
+
+# Push images to openstack via glance
+#create_deb_image 'Ubuntu' '14.04' 'amd64'
+#create_deb_image 'Ubuntu' '16.04' 'amd64'
+#create_rh_image 'CentOS' '7' 'x86_64'
+
+# Respin images
+respin_deb_image 'Ubuntu' '14.04' 'amd64'
+respin_deb_image 'Ubuntu' '16.04' 'amd64'
+respin_rh_image 'CentOS' '7' 'x86_64'